Kol analytics

Get full KOL win rate table

Retrieve win rate statistics for KOL.

GET
/v2/x-users/win-rate

Query Parameters

offset?number
Default0
Range0 <= value
limit?number
Default10
Range1 <= value <= 30
labels?array<string>
chainId?string

Filter by chain ID. If not provided, returns results for all chains.

Value in"solana" | "aptos" | "bsc" | "base" | "sui"
sortField?string

Field to sort by. One of the win rate fields (winRateAfter5m, winRateAfter15m, etc.) or active score fields (likeScore, shareScore, mentionScore, activeScore).

Default"winRateAfter5m"
Value in"winRateAfter5m" | "winRateAfter15m" | "winRateAfter30m" | "winRateAfter1h" | "winRateAfter2h" | "winRateAfter4h" | "winRateAfter6h" | "winRateAfter8h" | "winRateAfter12h" | "winRateAfter1d" | "winRateAfter7d" | "weightedPerformanceScore" | "consistencyScore" | "areaUnderCurveScore" | "unifiedPerformanceScore" | "numTokensCountedWinRate" | "likeScore" | "shareScore" | "mentionScore" | "activeScore" | "engagementScore" | "scoreV2" | "sScoreV2" | "aScoreV2" | "lScoreV2" | "eScoreV2"
sortOrder?string

Sort order (ascending or descending)

Default"DESC"
Value in"ASC" | "DESC"
startDate?string

Start date

endDate?string

End date

minScoreV2?number

Minimum value for scoreV2 (unifiedPerformanceScore)

maxScoreV2?number

Maximum value for scoreV2 (unifiedPerformanceScore)

minSScoreV2?number

Minimum value for sScoreV2 (weightedPerformanceScore)

maxSScoreV2?number

Maximum value for sScoreV2 (weightedPerformanceScore)

minAScoreV2?number

Minimum value for aScoreV2 (areaUnderCurveScore)

maxAScoreV2?number

Maximum value for aScoreV2 (areaUnderCurveScore)

minLScoreV2?number

Minimum value for lScoreV2 (consistencyScore)

maxLScoreV2?number

Maximum value for lScoreV2 (consistencyScore)

minEScoreV2?number

Minimum value for eScoreV2 (engagementScore)

maxEScoreV2?number

Maximum value for eScoreV2 (engagementScore)

Header Parameters

x-api-key*string

API Key

Response Body

application/json

application/json

application/json

curl -X GET "https://api-business.nerox.ai/v2/x-users/win-rate" \  -H "x-api-key: string"
{
  "items": [
    {
      "x_user_id": 225369,
      "win_rate_after5m": "8619330539.1457763932772537043178808",
      "win_rate_after15m": "8647967402.1531563453563501258704319",
      "win_rate_after30m": "8705817781.2683465139922194638762542",
      "win_rate_after1h": "-56.406603795533869409752",
      "win_rate_after2h": "-33.791525286852101798765",
      "win_rate_after4h": "-40.742007870903407185325",
      "win_rate_after6h": "-57.081501473254195069150",
      "win_rate_after8h": "-67.190666895773040899332",
      "win_rate_after12h": "-78.216843280193699936347",
      "win_rate_after1d": "-88.237096292939723385224",
      "win_rate_after7d": "-99.252911000702957176392",
      "num_tokens_counted_win_rate": 306,
      "x_user": {
        "id": 159539,
        "username": "ChinaDegen",
        "twitter_id": "175419697",
        "avatar_url": "https://cdn.nerox.ai/uploads/x-avatars/1887885878443593728/ZRg0DWxE_400x400.jpg",
        "checkmark_type": 1,
        "display_name": "dragon 中国龙 🐉",
        "follower_count": 119150,
        "description": "Detecting scams in real-time 🚨\nA Product by @Coinspeedrun\n⛓️https://t.co/nwjSuiClX3",
        "following_count": 11,
        "labels": [
          "7"
        ],
        "twitter_created_at": "2024-06-19T13:50:41.000Z",
        "discovered_by": 0,
        "twitter_status": 1,
        "active_rank": 200
      },
      "weighted_performance_score": "2911385039.35838236560064207",
      "consistency_score": "0.380738785389",
      "area_under_curve_score": "262050786397.11540696595442",
      "unified_performance_score": "2.7176230385531527",
      "like_score": "0",
      "share_score": "0",
      "mention_score": "0",
      "active_score": "0"
    }
  ],
  "total": 3813
}
{
  "statusCode": 400,
  "message": "Bad Request",
  "error": "Bad Request"
}
{
  "statusCode": 401,
  "message": "Unauthorized",
  "error": "Unauthorized"
}

Last updated on